MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023264Community[OCCT] OCCT:Visualizationpublic2012-07-12 12:122012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2005OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023264: cppcheck warning: Logical conjunction always evaluates to false
DescriptionThe problem is in Visual3d_Light.cxx, lines 143, 147, 189, 193, 381, 402.

I guess the attenuation factors should lie within the range <0; 1> so the operator '||' should be used instead of '&&'.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0020924)
Pawel (developer)
2012-07-12 12:18

Corresponding git branch pushed. Please review.
(0020947)
abv (manager)
2012-07-13 12:53

No remarks, please test
(0020985)
mkv (tester)
2012-07-16 13:11

Dear BugMaster,
The workbenches
KAS:dev:mkv-23264-occt (GIT branch CR23264)
KAS:dev:mkv-23264-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23264-products_13072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120622-opt_22062012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master 76021966
Timestamp: 2012-07-12 08:17:38
Author: Pawel
Details ] Diff ]
0023264: cppcheck warning: Logical conjunction always evaluates to false

Replaced the '&&' operator with '||'. Otherwise the logical conjunction always evaluates to false.
mod - src/Visual3d/Visual3d_Light.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-12 12:12 Pawel New Issue
2012-07-12 12:12 Pawel Assigned To => Pawel
2012-07-12 12:18 Pawel Note Added: 0020924
2012-07-12 12:18 Pawel Status new => resolved
2012-07-12 13:45 Pawel Assigned To Pawel => bugmaster
2012-07-13 12:53 abv Note Added: 0020947
2012-07-13 12:53 abv Status resolved => reviewed
2012-07-13 15:24 mkv Assigned To bugmaster => mkv
2012-07-16 13:11 mkv Note Added: 0020985
2012-07-16 13:12 mkv Test case number => Not needed
2012-07-16 13:12 mkv Assigned To mkv => bugmaster
2012-07-16 13:12 mkv Status reviewed => tested
2012-07-23 12:20 Pawel Changeset attached => occt master 76021966
2012-07-23 12:21 Pawel Assigned To bugmaster => Pawel
2012-07-23 12:21 Pawel Status tested => verified
2012-07-23 12:21 Pawel Resolution open => fixed
2012-11-16 13:15 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker